Bug 38639 - Show corresponding IP / FQDN in the DNS Lookup Zone overview
Show corresponding IP / FQDN in the DNS Lookup Zone overview
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UMC - DNS
UCS 4.0
Other Linux
: P5 enhancement (vote)
: UCS 4.1-1-errata
Assigned To: Florian Best
Jürn Brodersen
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-06-01 22:10 CEST by Michael Grandjean
Modified: 2016-03-18 06:41 CET (History)
4 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional): External feedback, Roadmap discussion (moved), Usability
Max CVSS v3 score:


Attachments
mockup reverse zone (141.41 KB, image/png)
2015-06-01 22:10 CEST, Michael Grandjean
Details
mockup forward zone (171.11 KB, image/png)
2015-06-01 22:11 CEST, Michael Grandjean
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Grandjean univentionstaff 2015-06-01 22:10:10 CEST
Created attachment 6933 [details]
mockup reverse zone

This is based on feedback received during a technical training.

Reverse lookup zone:
Currently, when opening a DNS Reverse lookup zone, we get a listing with all pointer records, their type (Pointer record) and the their ldap path.

The last two are imho unnecessary.
-> We can't add any other type than pointer records to the Reverse lookup zone via UMC so the 'Type' column could be removed.
-> AFAIS we can't specify the ldap path when creating a pointer record via UMC, so the 'Path' column could be removed.

Instead, we should add columns with much more relevant information, like the corresponding FQDN. 


Forward lookup zone:
Likewise, when opening a DNS Forward lookup zone, we get a listing with all Alias, Host, Text (well, not really, see Bug#25356) and Service records, their type and the their ldap path.

-> Again, I can't specify the ldap path when creating a record via UMC, so the 'Path' column could be removed.

Instead, we should add a column with the corresponding FQDN (Alias record, Service record) or the corresponding IP address (Host record).

I made dilettantish mockups, see attached files.

To be honest, I would expect that a DNS overview would first and foremost show me the IP adresses and the FQDNs / hostnames at one glance since this is imho the most frequently needed information. Right now I have to click on each single entry to get the desired information.
Comment 1 Michael Grandjean univentionstaff 2015-06-01 22:11:02 CEST
Created attachment 6934 [details]
mockup forward zone
Comment 2 Alexander Kläser univentionstaff 2015-06-09 15:45:02 CEST
Also requested at Ticket#2015060821000443.
Comment 3 Florian Best univentionstaff 2015-06-10 18:30:38 CEST
I had a look at the code: It is currently not possible to define the column fields. We could adjust the handlers+udm-backend+udm-frontend to be able to specify columns. But even then we have the problem that the fields in the mockup are multivalue, so they must be joined e.g. with ', '.
Comment 4 Florian Best univentionstaff 2015-06-30 17:56:10 CEST
It's easy if Bug #32758 is implemented.
Comment 5 Alexander Kläser univentionstaff 2016-02-15 14:11:22 CET
Also requested at Ticket#2016021021000597.
Comment 6 Florian Best univentionstaff 2016-03-07 09:43:26 CET
This has been implemented :)

univention-management-console-module-udm.yaml:
r67943 | YAML Bug #38639
r67886 | YAML Bug #38639

univention-directory-manager-modules.yaml:
r67946 | YAML Bug #38639

univention-management-console-module-udm (6.0.11-9):
r67942 | Bug #38639: fix displaying of type column in LDAP directory; Bug #38639: hide 'All types' objectType field if there is only 1 type
r67905 | Bug #38639: enhance display of DNS attributes in the grid
r67887 | Bug #38639: fix fuzzy
r67885 | Bug #38639: add possibility to show specific fields as grid columns

univention-management-console-frontend (5.0.63-28):
r67884 | Bug #38639: allow arrays to be query()-d in the umc.store() request data

univention-management-console-frontend.yaml:
r67943 | YAML Bug #38639
r67886 | YAML Bug #38639

univention-directory-manager-modules (11.0.2-22):
r67903 | Bug #38639: add column fields to DNS and DHCP handlers
Comment 7 Florian Best univentionstaff 2016-03-08 09:27:28 CET
univention-management-console-module-udm (6.0.11-10):
r67980 | Bug #38639: show overlong text in grid with … and split entries into newlines
Comment 8 Florian Best univentionstaff 2016-03-09 13:36:13 CET
univention-management-console-module-udm (6.0.11-12):
r68010 | Bug #38639: show only at maximum 3 entries in the value columns
Comment 9 Florian Best univentionstaff 2016-03-11 07:44:50 CET
Please QA also that the forward zones in the tree view are also shown before the reverse zones. (I reverted the rest of Bug #40831 to postpone that change for later).
r67904 | Bug #40831: display forward zones first, remove superordinate root from tree
r68037 | Bug #38639: show tree root again (revert Bug #40831)
Comment 10 Jürn Brodersen univentionstaff 2016-03-14 18:40:58 CET
At the end of the values of the Forward Lookup Zones are always three commas.
E.g.: 'dc0.univention.intranet.,,,'
Are these supposed to be there?
Comment 11 Florian Best univentionstaff 2016-03-16 11:36:05 CET
(In reply to Jürn Brodersen from comment #10)
> At the end of the values of the Forward Lookup Zones are always three commas.
> E.g.: 'dc0.univention.intranet.,,,'
> Are these supposed to be there?
I fixed the formatting function to ignore empty arrays :)
Comment 12 Jürn Brodersen univentionstaff 2016-03-16 13:48:39 CET
What I checked:
Added entries for Forward and Reverse Zones
Checked how values are displayed (multiple entries, long entries)
Checked sorting in the tree
(For sorting in the grid see: Bug 32027)

Changes: Looks nice :)
YAML: OK.

→ VERIFIED